FROM python:3.9
ENV PYTHONUNBUFFERED 1

WORKDIR /app

COPY requirements/core.txt requirements/prod.txt requirements/tests.txt /app/requirements/

# Split requirements into multiple layers for caching optimization.
RUN pip install -r requirements/core.txt
RUN pip install -r requirements/prod.txt
RUN pip install -r requirements/tests.txt

# Copy scripts.
COPY .scripts/start.sh /.scripts/start.sh
RUN chmod +x /.scripts/start.sh

COPY .scripts/run_tests.sh /.scripts/run_tests.sh
RUN chmod +x /.scripts/run_tests.sh

COPY .scripts/wait_for_it.sh /.scripts/wait_for_it.sh
RUN chmod +x /.scripts/wait_for_it.sh

COPY . /app
